Kerbal Space Program - Bug #26820

Yellow fuel hoses not allowing allow fuel transfers.
12/11/2020 08:19 AM - Dunbaratu

Status: New Start date: 12/11/2020
Severity: Low % Done: 0%
Assignee:

Category: Fuelflow

Target version:

Version: 1.10.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

| closed issue #25879 as "moot" because | thought the problem didn't exist anymore, but | was wrong, it definitely does still exist. |
can no longer edit #25879 to change the status back, so instead I'm making a new report for it.

If you build a vessel where two fuel tanks are connected by a non-feulfeed part such as a structural girder, then it is correct that by
default you cannot transfer fuel between them. BUT, if you try to design a fuel flow through a yellow hose between those tanks to
provide a path that bypasses the non-fuelfeed part, that path is now only used when feeding fuel to an active engine, and not when
using the fuel transfer feature (two PAW's open, clicking the "in" or "out" buttons to move fuel).

This used to work prior to KSP 1.10.
Note, | think the problem is caused by the fact that the yellow fuel hoses don't fit the tree structure of parts. If you just walk the tree of

parts looking for a path, you won't see the paths the hoses provide. They use a different connection system that | think it may have
gotten forgotten when fuel transfers got re-done.

History

#1 - 02/14/2021 10:27 AM - Dunbaratu

| think this bug no longer occurs in KSP 1.11.1. | have tested and it doesn't happen anymore.

Even though this bug ticket isn't marked as having been worked on, | think the other fixes that KSP 1.11.x did to address the fuel transfer bugs of KSP
1.10 ended up fixing this bug too.

| just wanted to let the person who works on maintaining the bug tracker know this. You can close this off as having been resolved.

#2 - 03/02/2021 01:12 AM - Anonymous

| assume you are talking about the case when the option "resource transfer obeys cross-feed rules" is enabled (which is not the default normal
setting)

For me, the behavior has been the same since version 1.3.1: with the difficulty setting enabled, you need fuel lines in both directions for transfer to
work. | put a craft on #27281 that shows the symptom in 1.3.1 as 1.11.1

That "resource transfer rules" setting is in the persistent.sfs file, and things like "revert to launch" or "revert to VAB" reset to an earlier persistent.sfs,
which could have caused the symptom to appear to disappear.

#3 - 03/02/2021 04:55 AM - Dunbaratu
k-ohara5a5a@oco.net wrote:

| assume you are talking about the case when the option "resource transfer obeys cross-feed rules" is enabled (which is not the default normal
setting)

For me, the behavior has been the same since version 1.3.1: with the difficulty setting enabled, you need fuel lines in both directions for transfer
to work. | put a craft on #27281 that shows the symptom in 1.3.1 as 1.11.1

That "resource transfer rules" setting is in the persistent.sfs file, and things like "revert to launch" or "revert to VAB" reset to an earlier
persistent.sfs, which could have caused the symptom to appear to disappear.

No. You may have made the conclusion that this bug is talking about the same problem as bug #27281 merely because | neglected to mention that
this problem happened even when fuel hoses in both directions existed. When | encountered it, hoses went in both directions around a heat shield
and that still wasn't enough to make it work. Because bug #27281 had not been reported yet, it never occurred to me that it would be important that |
show the more complex example where hoses went in both directions. That's how it was (hoses in both directions) when | encountered it, but |
simplified the example to the minimal case that triggers it when reporting it, not knowing that simplification would cause this misconception in the
future when a different unrelated but similar bug got reported.

In KSP 1.10, when | reported this, fuel transfers through hoses didn't work regardless of whether or not there were hoses in both directions. Now in
KSP 1.11 it only fails with one direction of hose. In KSP 1.10 it failed always regardless of whether a hose went in the backward direction too. That's
why | consider this bug fixed. If as you say, bug #27281 was always present since 1.3.1, then bug #27281 is not the bug | had been reporting here,
since this report was about craft designs that previously used to work in KSP 1.9 not working anymore in KSP 1.10 (and working again now in KSP
1.11, thus why | consider this fixed.)
